Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest
Interface Constraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ConstraintImpl

    public interface Constraint

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Constraint'.

The following features are supported:

- `Measure`
- `Agent`
- `Attribute`
- `Qualifier`
- `Min Value`
- `Max Value`

See Also:
  `ATestPackage.getConstraint()`

Method Summary
`SAgent` | `getAgent()` Returns the value of the 'Agent' reference.
`SAttribute` | `getAttribute()` Returns the value of the 'Attribute' reference.
`Value` | `getMaxValue()` Returns the value of the 'Max Value' containment reference.
`Measure` | `getMeasure()` Returns the value of the 'Measure' attribute.
`Value` | `getMinValue()` Returns the value of the 'Min Value' containment reference.
`SStateValue` | `getQualifier()` Returns the value of the 'Qualifier' reference.
`void` | `setAgent(SAgent value)` Sets the value of the '`Agent`' reference.
`void` | `setAttribute(SAttribute value)` Sets the value of the '`Attribute`' reference.
`void` | `setMaxValue(Value value)` Sets the value of the '`Max Value`' containment reference.
`void` | `setMeasure(Measure value)` Sets the value of the '`Measure`' attribute.
`void` | `setMinValue(Value value)` Sets the value of the '`Min Value`' containment reference.
`void` | `setQualifier(SStateValue value)` Sets the value of the '`Qualifier`' reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMeasure

    Measure getMeasure()

  Returns the value of the 'Measure' attribute. The literals are from the enumeration `Measure`.

  If the meaning of the 'Measure' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Measure' attribute.
  See Also:
    `Measure`, `setMeasure(Measure)`, `ATestPackage.getConstraint_Measure()`

### setMeasure

    void setMeasure(Measure value)

  Sets the value of the '`Measure`' attribute.

  Parameters:
    `value` - the new value of the 'Measure' attribute.
  See Also:
    `Measure`, `getMeasure()`

### getAgent

    SAgent getAgent()

  Returns the value of the 'Agent' reference.

  If the meaning of the 'Agent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agent' reference.
  See Also:
    `setAgent(SAgent)`, `ATestPackage.getConstraint_Agent()`

### setAgent

    void setAgent(SAgent value)

  Sets the value of the '`Agent`' reference.

  Parameters:
    `value` - the new value of the 'Agent' reference.
  See Also:
    `getAgent()`

### getAttribute

    SAttribute getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(SAttribute)`, `ATestPackage.getConstraint_Attribute()`

### setAttribute

    void setAttribute(SAttribute value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

### getQualifier

    SStateValue getQualifier()

  Returns the value of the 'Qualifier' reference.

  If the meaning of the 'Qualifier' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Qualifier' reference.
  See Also:
    `setQualifier(SStateValue)`, `ATestPackage.getConstraint_Qualifier()`

### setQualifier

    void setQualifier(SStateValue value)

  Sets the value of the '`Qualifier`' reference.

  Parameters:
    `value` - the new value of the 'Qualifier' reference.
  See Also:
    `getQualifier()`

### getMinValue

    Value getMinValue()

  Returns the value of the 'Min Value' containment reference.

  If the meaning of the 'Min Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Min Value' containment reference.
  See Also:
    `setMinValue(Value)`, `ATestPackage.getConstraint_MinValue()`

### setMinValue

    void setMinValue(Value value)

  Sets the value of the '`Min Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Min Value' containment reference.
  See Also:
    `getMinValue()`

### getMaxValue

    Value getMaxValue()

  Returns the value of the 'Max Value' containment reference.

  If the meaning of the 'Max Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Value' containment reference.
  See Also:
    `setMaxValue(Value)`, `ATestPackage.getConstraint_MaxValue()`

### setMaxValue

    void setMaxValue(Value value)

  Sets the value of the '`Max Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Max Value' containment reference.
  See Also:
    `getMaxValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD